dpkg-gencontrol(1)

BEZEICHNUNG
dpkg-gencontrol - erstelle Debian-control-Dateien

ÜBERSICHT
dpkg-gencontrol [Option …]

BESCHREIBUNG
dpkg-gencontrol liest Informationen aus einem entpackten Debian-Quellcodebaum und erzeugt eine binäre Paket-control-Datei (standardmäßig debian/tmp/DEBIAN/control); dabei vereinfacht es die Felder mit Paketbeziehungen.

Daher werden Pre-Depends, Depends, Recommends und Suggests in dieser Reihenfolge vereinfacht, indem Abhängigkeiten, die aufgrund der jeweils ermittelten stärkeren Abhängigkeit bereits erfüllt sind, entfernt werden. Es wird auch alle Selbstabhängigkeiten entfernen (tatsächlich werden alle Abhängigkeiten entfernt, die aufgrund der installierten Version des aktuellen Pakets automatisch erfüllt werden). Logisch betrachtet behält es den Durchschnitt von mehrfachen Abhängigkeiten auf das gleiche Paket. Die Reihenfolge der Abhängigkeiten wird so gut wie möglich beibehalten: falls eine Abhängigkeit aufgrund einer weiter hinten im Feld auftauchenden weiteren Abhängigkeit gestrichen werden muss, so übernimmt die letztere Abhängigkeit den Platz der gestrichenen.

Die anderen Paketbeziehungsfelder (Enhances, Conflicts, Breaks, Replaces und Provides) werden auch individuell vereinfacht, indem die Vereinigung der verschiedenen Abhängigkeiten berechnet wird, wenn ein Paket mehrfach in dem Feld aufgeführt ist.

dpkg-gencontrol fügt auch einen Eintrag für das Binärpaket in debian/files hinzu.

OPTIONEN

-vVersion
    Setzt die Versionsnummer des zu erstellenden Binärpaketes.

-VName=Wert
    Setzt eine Ausgabesubstitutionsvariable. Lesen Sie deb-substvars(5) für eine Besprechung der Ausgabesubstitution.

-TSubstvars-Datei
    Lese die Substitutionsvariablen aus Substvars-Datei; standardmäßig debian/substvars. Diese Option kann mehrfach verwandt werden, um Substitutionsvariablen aus mehreren Dateien einzulesen (seit Dpkg 1.15.6).

-DFeld=Wert
    Überschreibe oder ergänze ein Ausgabesteuerdateifeld.

-Ufield
    Entferne ein Ausgabesteuerdateifeld.

-cSteuerdatei
    Gibt die Haupt-control-Datei an, aus der Informationen gelesen werden sollen. Standardmäßig debian/control.

-lChangelog-Datei
    Gibt die Änderungsprotokolldatei an, aus der Informationen gelesen werden sollen. Standardmäßig debian/changelog.

-fDateienlist-Datei
    Lese oder schreibe die Liste der hochzuladenen Dateien hierher, statt debian/files zu verwenden.

-FChangelog-Format
    Spezifiziert das Format des Changelogs. Lesen Sie dpkg-parsechangelog(1) für Informationen über alternative Formate.

-pPaket
    Erstellt Informationen für das Binärpaket Paket. Falls die Steuerdatei der Quellen nur ein Binärpakete aufführt, kann diese Option weggelassen werden; andernfalls ist sie notwendig, um festzulegen, von welchen Binärpaketen die Informationen erstellt werden sollen.

-nDateiname
    Gehe davon aus, das der Dateiname des Pakets Dateiname sein wird, statt des normalen Dateinamens Paket_Version_Architektur.deb.

-is, -ip, -isp
    Diese Optionen werden aufgrund der Kompatibilität mit älteren Versionen der Dpkg-Bauskripte ignoriert, sind aber jetzt veraltet. Bisher wurden sie verwendet, um dpkg-gencontrol mitzuteilen, die Felder »Section« und »Priority« in die Steuerdatei mit aufzunehmen. Dies passiert jetzt standardmäßig. Falls Sie das alte Verhalten erreichen möchten, können Sie die Option -U verwenden, um Felder aus der Steuerdatei zu entfernen.

-PPaketbauverzeichnis
    Teilt dpkg-source mit, dass das Paket in Paketbauverzeichnis statt in debian/tmp gebaut wird. Dieser Wert wird dazu verwendet, den Standardwert der Substitutionsvariablen Installed-Size und des Feldes der Steuerdatei (mittels du) zu finden, und für den Standard-Ablageplatz der Ausgabedatei.

-O[Dateiname]
    Die control-Datei in die Standardausgabe (oder Dateiname falls angegeben, seit Dpkg 1.17.2) statt nach debian/tmp/DEBIAN/control (oder Paketbauverzeichnis/DEBIAN/control falls -P verwendet worden ist) ausgeben.

-?, --help
    Zeige den Bedienungshinweis und beende.

--version
    Gebe die Version aus und beende sich.

DATEIEN

debian/control
    Die Hauptsteuerinformationsdatei für die Quellen. Sie gibt versionsunabhängige Informationen über das Quellpaket und die Binärpakete, die sie erstellen kann, an.

debian/files
    Die Liste der erstellten Dateien, die Teil des Uploads sind, der vorbereitet wird. dpkg-gencontrol fügt die vermuteten Dateinamen von Binärpaketen hinzu, deren Steuerdateien es hier generiert.

SIEHE AUCH
deb-substvars(5), deb-src-control(5), deb-changelog(5), deb-control(5).

ÜBERSETZUNG
Die deutsche Übersetzung wurde 2004, 2006-2017 von Helge Kreutzmann <debian@helgefjell.de>, 2007 von Florian Rehnisch <eixman@gmx.de> und 2008 von Sven Joachim <svenjoac@gmx.de> angefertigt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 2 oder neuer für die Kopierbedingungen. Es gibt KEINE HAFTUNG.